Patch workflow
curl --request PATCH \
--url https://api.instantly.ai/api/v2/automation/workflows/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Workflow",
"status": 1,
"flow": {
"nodes": [],
"edges": []
},
"expected_revision": "2026-09-25T12:00:00.000Z"
}
'import requests
url = "https://api.instantly.ai/api/v2/automation/workflows/{id}"
payload = {
"name": "My Workflow",
"status": 1,
"flow": {
"nodes": [],
"edges": []
},
"expected_revision": "2026-09-25T12:00:00.000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Workflow',
status: 1,
flow: {nodes: [], edges: []},
expected_revision: '2026-09-25T12:00:00.000Z'
})
};
fetch('https://api.instantly.ai/api/v2/automation/workflows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.patch("https://api.instantly.ai/api/v2/automation/workflows/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"My Workflow\",\n \"status\": 1,\n \"flow\": {\n \"nodes\": [],\n \"edges\": []\n },\n \"expected_revision\": \"2026-09-25T12:00:00.000Z\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/automation/workflows/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'My Workflow',
'status' => 1,
'flow' => [
'nodes' => [
],
'edges' => [
]
],
'expected_revision' => '2026-09-25T12:00:00.000Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/automation/workflows/{id}"
payload := strings.NewReader("{\n \"name\": \"My Workflow\",\n \"status\": 1,\n \"flow\": {\n \"nodes\": [],\n \"edges\": []\n },\n \"expected_revision\": \"2026-09-25T12:00:00.000Z\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a1ff7c-a693-7998-a845-41b1856940d2",
"name": "My Workflow",
"organization_id": "org-1",
"status": 1,
"timestamp_created": "2026-11-21T19:02:01.619Z",
"timestamp_updated": "2026-11-21T19:02:01.619Z",
"flow": {
"nodes": [],
"edges": []
},
"meta": {},
"pause_reason": "out_of_credits"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Workflow
Patch workflow
Requires one of the following scopes: automation_workflows:update, automation_workflows:all, all:update, all:all
PATCH
/
api
/
v2
/
automation
/
workflows
/
{id}
Patch workflow
curl --request PATCH \
--url https://api.instantly.ai/api/v2/automation/workflows/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Workflow",
"status": 1,
"flow": {
"nodes": [],
"edges": []
},
"expected_revision": "2026-09-25T12:00:00.000Z"
}
'import requests
url = "https://api.instantly.ai/api/v2/automation/workflows/{id}"
payload = {
"name": "My Workflow",
"status": 1,
"flow": {
"nodes": [],
"edges": []
},
"expected_revision": "2026-09-25T12:00:00.000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Workflow',
status: 1,
flow: {nodes: [], edges: []},
expected_revision: '2026-09-25T12:00:00.000Z'
})
};
fetch('https://api.instantly.ai/api/v2/automation/workflows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.patch("https://api.instantly.ai/api/v2/automation/workflows/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"My Workflow\",\n \"status\": 1,\n \"flow\": {\n \"nodes\": [],\n \"edges\": []\n },\n \"expected_revision\": \"2026-09-25T12:00:00.000Z\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/automation/workflows/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'My Workflow',
'status' => 1,
'flow' => [
'nodes' => [
],
'edges' => [
]
],
'expected_revision' => '2026-09-25T12:00:00.000Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/automation/workflows/{id}"
payload := strings.NewReader("{\n \"name\": \"My Workflow\",\n \"status\": 1,\n \"flow\": {\n \"nodes\": [],\n \"edges\": []\n },\n \"expected_revision\": \"2026-09-25T12:00:00.000Z\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a1ff7c-a693-7998-a845-41b1856940d2",
"name": "My Workflow",
"organization_id": "org-1",
"status": 1,
"timestamp_created": "2026-11-21T19:02:01.619Z",
"timestamp_updated": "2026-11-21T19:02:01.619Z",
"flow": {
"nodes": [],
"edges": []
},
"meta": {},
"pause_reason": "out_of_credits"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Authorizations
Path Parameters
Body
application/json
Response
The updated Workflow
Defines an automation workflow with its configuration, status, and associated meta data.